useLoyalty
Api reference

Track Quest Progress

Track progress on a multi-step quest. Automatically completes when target is reached.

POST/quests/{id}/progress

Track progress on a multi-step quest. Automatically completes when target is reached.

AuthorizationBearer <token>

Use your private API key (sk_xxx) as the bearer token

In: header

Path Parameters

id*string

Quest ID

Request Body

application/json

externalId*string
progress?integer

Progress increment (default 1)

Default1
metadata?object

Response Body

application/json

curl -X POST "https://app.useloyalty.app/api/v1/quests/string/progress" \  -H "Content-Type: application/json" \  -d '{    "externalId": "string"  }'
{
  "completion": {
    "id": "string",
    "progress": 0,
    "targetCount": 0,
    "progressPercentage": 0,
    "status": "string"
  },
  "member": {
    "id": "string",
    "externalId": "string",
    "email": "user@example.com",
    "name": "string",
    "avatarUrl": "http://example.com",
    "points": 0,
    "totalPointsEarned": 0,
    "currentStreak": 0,
    "longestStreak": 0,
    "metadata": {},
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "completed": true
}